
QGIS Application - Bug report #7484

Georeferencer: Wrong negative coordinates

2013-04-01 03:33 AM - alobo -

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Rasters

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16436

Description

srcY cooordinates are taken as negative once the points file

is read in the plugin, while coordinates are correct

in the points file. probably a wrong interpretation of

the position in the Southern hemisphere

epsg 32719 (wgs84 utm19S)

See georef.jpeg

(also, please keep the same column order and names in

both the plugin and the points file).

Agus

History

#1 - 2013-04-01 11:08 AM - alobo -

- File georefpix.jpeg added

- File adlspca10.tif.points added

The example was not appropriate because the gdal gcp assume image coordinates are

in pixels (col, row) and not in projected coordinates (qgis geoproc tool should

actually extract pixel coordinates in this case but this is a matter of another ticket)

The same problem of negative coordinates is shown in georefpix.jpeg. I also attach the points file.

I've successfully warped the image with those gcp and the following 2 gdal commands (similar to but not identical to the script generated by the plugin):

gdal_translate -of Float32 GTiff -a_srs EPSG:32719 -gcp 291 3075 652000 7.05881e+06 -gcp 386 2965 654768 7.06212e+06 ...

"/media/Iomega_HDD/VOLCAN/HYPERION/RHyperion/adlspca10.tif" "/tmp/adlspca10.tif"

(note: deleted gcp in ...)

gdalwarp -ot Float32 -wt Float32 -r bilinear -order 2 -co COMPRESS=NONE  -tr 30.000000 -30.000000 "/tmp/adlspca10.tif"

"/media/Iomega_HDD/VOLCAN/HYPERION/RHyperion/adlspca10_corrbilin.tif"

Agus

#2 - 2013-05-29 11:17 AM - Radim Blazek

- Assignee set to Radim Blazek
- Status changed from Open to Feedback

Can you describe exactly the steps to reproduce it? I tried to

    -  create new project

    -  set project projection to 32719

    -  open georeferencer plugin

    -  load adlspca10.tif.point

but the points are loaded with positive srcY.

Could it be that it only happens when QGIS is run on a computer physically located on southern hemisphere? Have you tried to turn your computer upside

down?

#3 - 2013-05-31 04:41 AM - alobo -

Works on 1.9 master on Mac

Does not work on 1.8 (Linux, Mac)

Agus

#4 - 2013-05-31 05:55 AM - Radim Blazek

- Priority changed from Severe/Regression to Normal

- Affected QGIS version changed from master to 1.8.0

#5 - 2013-05-31 07:24 AM - Giovanni Manghi

alobo - wrote:

Works on 1.9 master on Mac

Does not work on 1.8 (Linux, Mac)

Agus

if it works on master this can be closed, I guess.

#6 - 2013-05-31 07:30 AM - Paolo Cavallini

- Status changed from Feedback to Closed

Files

georef.jpeg 388 KB 2013-04-01 alobo -

georefpix.jpeg 216 KB 2013-04-01 alobo -

adlspca10.tif.points 879 Bytes 2013-04-01 alobo -
